# $Revision: 1.14 $, $Date: 2006/09/18 22:55:25 $
Summary:	Excel 95/97 and PowerPoint to HTML converter
Summary(pl):	Konwerter z Excela 95/97 oraz PowerPointa do HTML
Name:		xlhtml
Version:	0.5.1
Release:	5
License:	GPL
Group:		Applications/Text
#Source0:	http://dl.sourceforge.net/chicago/%{name}.%{version}.tgz
Source0:	%{name}.%{version}.tgz
# Source0-md5:	deeb108545e1848fce5dcb8d84d8a48e
Patch0:		%{name}-shared.patch
Patch1:		%{name}-colors.patch
URL:		http://chicago.sourceforge.net/xlhtml/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Obsoletes:	xlHtml
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The xlhtml program will take an Excel 95, or 97 file as input and
convert it to HTML. The output is via standard out so it can be
re-directed to files or piped to filters or used as a gateway to the
internet. pptHtml program converts PowerPoint files to HTML.

%description -l pl
Program xlhtml przyjmuje na wejcie pliki Excela 95 lub 97 i
konwertuje je do HTML, wyrzucajc na standardowe wyjcie - ktre moe
by przekierowane do innego filtru. Program pptHtml konwertuje pliki
PowerPointa do HTML.

%package devel
Summary:	Excel 95/97 to HTML converter development resources
Summary(pl):	Zasoby programistyczne xlhtml
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}
Obsoletes:	xlHtml-devel

%description devel
Excel 95/97 to HTML converter development resources.

%description devel -l pl
Zasoby programistyczne konwertera Excela 95/97 do HTML.

%package static
Summary:	Excel 95/97 to HTML converter static libraries
Summary(pl):	Statyczne biblioteki xlhtml
Group:		Applications/Text
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	xlHtml-static

%description static
Excel 95/97 to HTML converter static libraries.

%description static -l pl
Statyczne biblioteki konwertera Excela 95/97 do HTML.

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install cole/cole-config $RPM_BUILD_ROOT%{_bindir}

#install -d $RPM_BUILD_ROOT%{_mandir}/man1
#install xlhtml/xlhtml.1 ppthtml/ppthtml.1 $RPM_BUILD_ROOT%{_mandir}/man1

rm -rf xlhtml/contrib/CVS

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc xlhtml/contrib xlhtml/{README,THANKS,TODO}
%attr(755,root,root) %{_bindir}/nsopen
%attr(755,root,root) %{_bindir}/nsxlview
%attr(755,root,root) %{_bindir}/nspptview
%attr(755,root,root) %{_bindir}/xlhtml
%attr(755,root,root) %{_bindir}/ppthtml
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%doc xlhtml/ChangeLog
%attr(755,root,root) %{_bindir}/cole-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/cole

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xlhtml.spec,v $
Revision 1.14  2006/09/18 22:55:25  qboosh
- added colors patch
- strict internal deps, release 5

Revision 1.13  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.12  2004/04/07 11:43:57  adamg
- release 4 for Ac

Revision 1.11  2003/06/23 13:18:59  ankry
- fixed md5: use sources from our cvs
NOTE: 0.5.1 does NOT exist on the project page; 0.5 is reported as newest
dead project ?

Revision 1.10  2003/05/28 13:03:08  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:28:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/02/13 19:37:37  gotar
- cut off Vendor (we are package vendors and developers, program
  author, maintainter or developer info is in it's documentation),
- cosmetics.

Revision 1.7  2003/02/12 18:56:44  gotar
- removed CVS directory from %doc

Revision 1.6  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.5  2002/10/09 13:14:51  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.4  2002/07/14 22:26:45  qboosh
- s/Provides/Obsoletes/ xlHtml
  (since now no package required xlHtml; and this version works better)
- added shared patch - shared cole library is back

Revision 1.3  2002/07/12 22:19:46  ankry
- cleaning (s/xlHtml/xlhtml/)
- new %%doc
- fixed file list (%%doc)

Revision 1.2  2002/07/12 08:36:59  djrzulf
- builds but there are inexactitudes with cole library,

Revision 1.1  2002/07/12 08:27:36  djrzulf
- the project is now continued as xlhtml,

Revision 1.29  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.28  2002/05/21 23:15:05  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.27  2002/03/24 23:28:27  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.26  2002/02/23 05:29:54  kloczek
- adapterized.

Revision 1.25  2002/02/22 23:30:06  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.24  2002/01/18 02:15:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.23  2001/12/21 11:36:40  qboosh
- pl translation, added note about pptHtml; release 2

Revision 1.22  2001/08/06 10:28:08  kloczek
- updated to 0.2.9.11.

Revision 1.21  2001/07/31 09:45:14  kloczek
- updated to 0.2.9.9.

Revision 1.20  2001/07/19 18:25:11  qboosh
- added missing manuals
- release 2

Revision 1.19  2001/06/25 11:50:24  kloczek
- updated to 0.2.9.8.

Revision 1.18  2001/06/16 13:24:14  kloczek
- updated to 0.2.9.7.

Revision 1.17  2001/06/04 13:26:57  kloczek
- updated to 0.2.9.6.

Revision 1.16  2001/06/03 13:32:24  kloczek
- updated to 0.2.9.5.

Revision 1.15  2001/06/01 23:51:55  kloczek
- updated to 0.2.9.4.

Revision 1.14  2001/05/30 01:56:30  kloczek
- updated to 0.2.9.3.

Revision 1.13  2001/05/21 18:47:25  kloczek
- updated to 0.2.9.2,
- make libtool happy.

Revision 1.12  2001/05/21 17:41:07  kloczek
- reelase 4.

Revision 1.11  2001/05/09 16:56:25  wiget
add missing files

Revision 1.10  2001/01/22 09:32:37  kloczek
- release 3,
- regenerate automake/autoconf files (added autoconf, automake to BuildRequires),
- spec adapterized.

Revision 1.9  2001/01/17 08:42:00  qboosh
- calling ldconfig in post/postun scripts

Revision 1.8  2000/11/12 20:11:56  kloczek
- modifications for using new rpm automation.

Revision 1.7  2000/08/11 00:11:13  kloczek
- release 2,
- added %%description and corrected Summary for devel and static.

Revision 1.6  2000/08/10 22:27:27  mis
- corrected requirement in static subpackage

Revision 1.5  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.4  2000/06/09 07:24:22  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/05/21 20:05:15  kloczek
- spec adapterized.

Revision 1.2  2000/04/06 21:13:30  kloczek
- updated to 0.2.7.0,
- some cosmetics.

Revision 1.1  2000/04/04 12:53:33  baggins
- PLDified version

* Fri Oct 15 1999 Ryan Weaver <ryanw@infohwy.com>
  [xlHtml-0.2.0-1]
- Initial RPM Build.
- See ChangeLog for more details.
